MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028324Open CASCADE[OCCT] OCCT:Configurationpublic2016-12-29 17:322017-09-29 16:28
Reporteraan 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028324: Configuration, genproj.tcl - compilation error while targeting OS X 10.8 or lower in XCode
DescriptionCompilation error "'type_traits' file not found" when build OCCT for "OS X Deployment Target" version lower than 10.9
Steps To Reproducen/a
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028502closedbugmaster Compilation error on Arch Linux (clang compiler) 

-  Notes
(0062328)
git (administrator)
2016-12-29 17:44

Branch CR28324 has been created by aan.

SHA-1: d6684a0926c3226b2cec171d53fb5cfa2684d3a6


Detailed log of new commits:

Author: aan
Date: Thu Dec 29 17:44:07 2016 +0300

    0028324: Can't build OCCT for "OS X Deployment Target" version lower than 10.9
(0062329)
aan (developer)
2016-12-29 17:46

Fixed
(0062344)
kgv (developer)
2016-12-29 23:23

Please rebase onto current IR.
(0062358)
git (administrator)
2016-12-30 11:30

Branch CR28324 has been updated forcibly by aan.

SHA-1: c9156367524ff5ccce93e9f0c9ec383b943136fa
(0062359)
aan (developer)
2016-12-30 11:31

The brunch CR28324 has been re-based on current IR
(0062361)
kgv (developer)
2016-12-30 11:42

The commit description is missing - there is no information about meaning of applied change (e.g. specify libc++ as C++ library compatible with C++11 instead of no more updated libstdc++).
(0062372)
git (administrator)
2016-12-30 13:50

Branch CR28324 has been updated forcibly by aan.

SHA-1: 2ae2df8306981afd9c34b78afbc93d53d05bdcf8
(0062373)
git (administrator)
2016-12-30 13:54

Branch CR28324 has been updated forcibly by kgv.

SHA-1: b362087fedfcbc1374b8244a50bd3c6bf6a4d512
(0062374)
kgv (developer)
2016-12-30 13:54

Please check the patch.
(0062742)
apn (administrator)
2017-01-18 13:22
edited on: 2017-01-18 13:22

CR28324 was successfully built with OS X Deployment Target 10.7 using XCode.

(0062823)
afanqi (reporter)
2017-01-20 05:13

With this fix, can I use cmake to build OCCT for versions before 10.9? I just tried, and it looks I still have problem. Not sure if I have correct source code though.
(0062824)
kgv (developer)
2017-01-20 08:17

Dear afanqi,

this patch is for genproj only - tcl script directly generating XCode project files (and project for other IDEs).
CMake procedures are NOT affected by this patch.

Apart from this, it is useful to specify your configuration (e.g. version of used XCode and used OS X).
(0062839)
afanqi (reporter)
2017-01-20 15:18

Thanks. My Xcode version is 7.3, OS version is 10.11.5.

Is it possible to fix this error for cmake as well?
(0062847)
kgv (developer)
2017-01-20 16:24
edited on: 2017-01-20 16:24

This issue has been already integrated - please register dedicated bug with full description
(version of OCCT, CMake, XCode, OS X, used configuration and steps to reproduce).

(0063579)
git (administrator)
2017-02-08 11:32

Branch CR28324 has been deleted by kgv.

SHA-1: b362087fedfcbc1374b8244a50bd3c6bf6a4d512

- Related Changesets
occt: master 810b672f
Timestamp: 2016-12-29 14:44:07
Author: aan
Committer: apn
Details ] Diff ]
0028324: Configuration, genproj.tcl - compilation error while targeting OS X 10.8 or lower in XCode

Specify libc++ as C++ library compatible with C++11 instead of libstdc++ which is no more updated within XCode.
mod - adm/genconf.tcl Diff ] File ]
mod - adm/genproj.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-29 17:32 aan New Issue
2016-12-29 17:32 aan Assigned To => bugmaster
2016-12-29 17:44 git Note Added: 0062328
2016-12-29 17:46 aan Note Added: 0062329
2016-12-29 17:46 aan Assigned To bugmaster => kgv
2016-12-29 17:46 aan Status new => resolved
2016-12-29 17:46 aan Steps to Reproduce Updated View Revisions
2016-12-29 23:23 kgv Note Added: 0062344
2016-12-29 23:23 kgv Assigned To kgv => aan
2016-12-29 23:23 kgv Status resolved => assigned
2016-12-29 23:24 kgv Product Version => 7.1.0
2016-12-30 11:30 git Note Added: 0062358
2016-12-30 11:31 aan Note Added: 0062359
2016-12-30 11:31 aan Assigned To aan => kgv
2016-12-30 11:31 aan Status assigned => feedback
2016-12-30 11:42 kgv Note Added: 0062361
2016-12-30 11:42 kgv Assigned To kgv => aan
2016-12-30 11:42 kgv Summary Can't build OCCT for "OS X Deployment Target" version lower than 10.9 => Configuration, genproj.tcl - compilation error while targeting OS X 10.8 or lower in XCode
2016-12-30 13:50 git Note Added: 0062372
2016-12-30 13:54 git Note Added: 0062373
2016-12-30 13:54 kgv Note Added: 0062374
2016-12-30 13:54 kgv Assigned To aan => bugmaster
2016-12-30 13:54 kgv Status feedback => reviewed
2017-01-09 12:49 apv Assigned To bugmaster => apn
2017-01-17 11:35 apn Project Internal => Open CASCADE
2017-01-18 13:22 apn Note Added: 0062742
2017-01-18 13:22 apn Note Edited: 0062742 View Revisions
2017-01-18 13:22 apn Note Edited: 0062742 View Revisions
2017-01-18 13:23 apn Test case number => Not needed
2017-01-18 13:23 apn Assigned To apn => bugmaster
2017-01-18 13:23 apn Status reviewed => tested
2017-01-20 05:13 afanqi Note Added: 0062823
2017-01-20 08:17 kgv Note Added: 0062824
2017-01-20 15:18 afanqi Note Added: 0062839
2017-01-20 16:12 apn Changeset attached => occt master 810b672f
2017-01-20 16:12 apn Assigned To bugmaster => apn
2017-01-20 16:12 apn Status tested => verified
2017-01-20 16:12 apn Resolution open => fixed
2017-01-20 16:24 kgv Note Added: 0062847
2017-01-20 16:24 kgv Note Edited: 0062847 View Revisions
2017-01-20 16:24 kgv Note Edited: 0062847 View Revisions
2017-02-08 11:32 git Note Added: 0063579
2017-07-29 11:55 kgv Relationship added parent of 0028502
2017-07-29 11:57 kgv Relationship replaced related to 0028502
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:28 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker